                          Computer Science 101
                               Quiz N      Name ______________________

1. For the following function identify which of the variables
   will reside on the heap (H) or on the stack (S)

   int a;
   static int b;
   int incr(int c)
   {  int d;
      static int e;
      return(c + 1);
   }

   _____ a


   _____ b


   _____ c


   _____ d


   _____ e


2. Which of the variables declared above could be modified by
   a function  in ANOTHER SOURCE module.


   _____ a


   _____ b


   _____ d


   _____ e


